# Uses of Interface
java.sql.Struct

Packages that use Struct
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

## Uses of Struct in java.sql

Methods in java.sql that return Struct
Modifier and Type
Method
Description
`Struct`
Connection.`createStruct(String typeName, Object[] attributes)`
Factory method for creating Struct objects.
Methods in java.sql with parameters of type Struct
Modifier and Type
Method
Description
`void`
SQLOutput.`writeStruct(Struct x)`
Writes an SQL structured type value to the stream.

## Uses of Struct in javax.sql.rowset.serial

Classes in javax.sql.rowset.serial that implement Struct
Modifier and Type
Class
Description
`class`
`SerialStruct`
A serialized mapping in the Java programming language of an SQL structured type.
Methods in javax.sql.rowset.serial with parameters of type Struct
Modifier and Type
Method
Description
`void`
SQLOutputImpl.`writeStruct(Struct x)`
Writes a `Struct` object in the Java programming language to this `SQLOutputImpl` object.
Constructors in javax.sql.rowset.serial with parameters of type Struct
Modifier
Constructor
Description
``
`SerialStruct(Struct in, Map<String,Class<?>> map)`
Constructs a `SerialStruct` object from the given `Struct` object, using the given `java.util.Map` object for custom mapping the SQL structured type or any of its attributes that are SQL structured types.